itpp::Filter< T1, T2, T3 > Class Template Referenceabstract
Signal Processing (SP) Module » Filtering

Virtual Filter Base Class. More...

`#include <itpp/signal/filter.h>`

Inheritance diagram for itpp::Filter< T1, T2, T3 >:

## Public Member Functions

| Filter ()
| Default constructor.
virtual T3 | operator() (const T1 Sample)
| Filter a single sample.
virtual Vec< T3 > | operator() (const Vec< T1 > &v)
| Filter a vector.
virtual | ~Filter ()
| Virtual destructor.

## Protected Member Functions

virtual T3 | filter (const T1 Sample)=0
| Pure virtual filter function. This is where the real filtering is done. Implement this function to create a new filter.

## Detailed Description

### template<class T1, class T2, class T3>
class itpp::Filter< T1, T2, T3 >

Virtual Filter Base Class.

The class is templated as follows:

- `T1` is the type of the input samples
- `T2` is the type of the filter coefficients
- `T3` is the type of the output samples

Definition at line 54 of file filter.h.

The documentation for this class was generated from the following file:

- itpp/signal/filter.h

Generated on Mon Mar 23 2020 06:18:03 for IT++ by Doxygen 1.8.17